> For the complete documentation index, see [llms.txt](/llms.txt).

# Create funding account details for user

**POST** `https://www.iwoca.co.uk/api/lending/v2.2/funding_account_details/{customer_id}/`

Creates a record of bank account details for funding a customer. Before you can set their funding details, you must have created an application for the customer (using the applications endpoint).

## Path parameters
- `customer_id` (string, required) — The unique customer_id used to represent a customer.

## Body
```json
{
  "data": {
    "account_number": "12345678",
    "sort_code": "12-34-56"
  }
}
```

### Body fields
- `data` (object, required)
- `data.account_number` (string, required) — The bank account number for funding
- `data.sort_code` (string, required) — The sort code for the bank account. Can be provided with or without dashes.

## Responses
### 201 — success
```json
{
  "data": {
    "funding_method_id": "00000000-0000-0000-0000-000000000000"
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 409 — Conflict
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/funding_account_details/<customer_id>/' \
  --request POST \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {
    "account_number": "12345678",
    "sort_code": "12-34-56"
  }
}'
```